- hosts: all
  tasks:
    - name: Add GPG-key for apt-repo nodejs
      apt_key:
        url: "https://keyserver.ubuntu.com/pks/lookup?op=get&fingerprint=on&search=0x1655A0AB68576280"
        id: 68576280
        state: present
      become: yes
    - name: Add apt-repo nodesource
      ansible.builtin.apt_repository:
        repo: deb https://deb.nodesource.com/node_16.x focal main
        state: present
        filename: nodesource
      become: yes
    - name: Install nodejs in apt
      apt:
        name: nodejs
        state: present
      become: yes
    - name: Initialize Fastify
      ansible.builtin.shell:
        cmd: npm init -y fastify
        chdir: /vagrant
        creates: package.json
    - name: set FASTIFY_ADDRESS
      ansible.builtin.lineinfile:
        path: /etc/environment
        regexp: '^FASTIFY_ADDRESS'
        line: 'FASTIFY_ADDRESS=0.0.0.0'
      become: yes